#pragma once
#include "Mod.h"

#include "Datas/LanguageDatas.h"

class TeleportAura : public Mod {
public:
	float range = 5.f;

	float minaps = 10.f, maxaps = 12.f;

	TeleportAura() : Mod(Datas::Language::get().module.combat.teleportaura.name, Datas::Language::get().module.combat.teleportaura.description, Category::COMBAT) {
		settings.push_back(new Setting{ _("Range"), &range, new float(100.f), new float(0.f), 2, {}, true, 1.f });

		settings.push_back(new Setting{ _("Min Aps"), &minaps, new float(20.f), new float(0.f), 2, {}, true, 10.f });
		settings.push_back(new Setting{ _("Max Aps"), &maxaps, new float(20.f), new float(0.f), 2, {}, true, 10.f });

		enabled = false;
	}

private:
	std::vector<Player*> list;
	bool doAttack = false;
	virtual auto onPacketSendBefore(Packet* packet) -> void override;
	virtual auto onClient() -> void override;
	virtual auto onClient4() -> void override;
};
